local HAC = HistoricalAchievementCredit

function HAC.RegisterSettingsPanel( )
	local LAM = LibAddonMenu2

	if (LAM) then
		local panelId = "HACSettings"

		HAC.settingsPanel = LAM:RegisterAddonPanel(panelId, {
			type = "panel",
			name = GetString(SI_HAC_TITLE),
			version = HAC.version,
			author = "@code65536",
			website = "https://www.esoui.com/downloads/info3339.html",
			donation = "https://www.esoui.com/downloads/info3339.html#donate",
			registerForRefresh = true,
		})

		local scopes = { }
		local scopeLabels = { }
		for i = 1, 3 do
			table.insert(scopes, i)
			table.insert(scopeLabels, GetString("SI_HAC_SCOPE", i))
		end

		LAM:RegisterOptionControls(panelId, {
			--------------------------------------------------------------------
			{
				type = "dropdown",
				name = SI_HAC_SCOPES,
				choices = scopeLabels,
				choicesValues = scopes,
				getFunc = function() return HAC.vars.scope end,
				setFunc = function(scope) HAC.vars.scope = scope end,
			},
			--------------------
			{
				type = "checkbox",
				name = SI_HAC_DATES_FIRST,
				getFunc = function() return HAC.vars.datesFirst end,
				setFunc = function(enabled) HAC.vars.datesFirst = enabled end,
			},
			--------------------
			{
				type = "checkbox",
				name = SI_HAC_HIDE_TIMES,
				getFunc = function() return HAC.vars.hideTimes end,
				setFunc = function(enabled) HAC.vars.hideTimes = enabled end,
			},
		})
	end
end
